﻿Imports Infragistics.Win.UltraWinGrid
Imports Infragistics.Win

Public Class Form1



    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        Dim ds As System.Data.DataSet
        ds = New DataSet
        Dim t0 = ds.Tables.Add("Table0")

        t0.Columns.Add("PTWWorkTypeNamesId", GetType(Integer)).AutoIncrement = True
        t0.Columns.Add("PTWWorkTypeName", GetType(String)).Expression = "'WorkTypeName' + [PTWWorkTypeNamesId]"


        For index = 1 To 10
            t0.Rows.Add()
        Next

        Me.ddlWorkTypes.DataSource = ds.Tables(0)
        Me.ddlWorkTypes.DisplayMember = "PTWWorkTypeName"
        Me.ddlWorkTypes.ValueMember = "PTWWorkTypeNamesId"

        Dim c As UltraGridColumn = Me.ddlWorkTypes.DisplayLayout.Bands(0).Columns.Add()

        c.Key = "Selected"
        c.Width = 40
        c.Header.Caption = String.Empty
        c.Header.CheckBoxVisibility = HeaderCheckBoxVisibility.Always
        c.DataType = GetType(Boolean)
        c.Header.VisiblePosition = 0

        Me.ddlWorkTypes.CheckedListSettings.CheckStateMember = "Selected"
        Me.ddlWorkTypes.CheckedListSettings.EditorValueSource = EditorWithComboValueSource.CheckedItems
        Me.ddlWorkTypes.CheckedListSettings.ItemCheckArea = ItemCheckArea.Item

        Dim t1 = New DataTable
        t1.Columns.Add("String[]", GetType(Object))

        t1.Rows.Add(DirectCast(New Integer() {0, 5}, Object))
        t1.Rows.Add(DirectCast(New Integer() {2, 7, 9}, Object))

        ddlWorkTypesGrid.DataSource = t1

    End Sub

   
    Private Sub ddlWorkTypesGrid_InitializeLayout(sender As System.Object, e As Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs) Handles ddlWorkTypesGrid.InitializeLayout
        e.Layout.Bands(0).Columns("String[]").EditorComponent = ddlWorkTypes
        e.Layout.Bands(0).Columns("String[]").Width = 250

    End Sub

    Private Sub ddlWorkTypes_InitializeLayout(sender As System.Object, e As Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs) Handles ddlWorkTypes.InitializeLayout
        e.Layout.AutoFitStyle = AutoFitStyle.ExtendLastColumn

    End Sub
End Class
